package com.memorynotfound.jaxrs;

import javax.ws.rs.*;
import javax.ws.rs.core.Response;

@Path("/users")
public class UserResource {

    @GET
    @Path("{id}")
    @Produces("text/html")
    public Response getUser(@PathParam("id") int id){
        User user = new User("name", id);

        return Response
                .ok()
                .entity(user)
                .build();
    }

}
